Void a pre-authorized card payin
curl --request POST \
--url https://api.qbank.cl/platform/v1/payins/{payinID}/voids \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "void-order-8842"
}
'import requests
url = "https://api.qbank.cl/platform/v1/payins/{payinID}/voids"
payload = { "idempotency_key": "void-order-8842" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({idempotency_key: 'void-order-8842'})
};
fetch('https://api.qbank.cl/platform/v1/payins/{payinID}/voids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/payins/{payinID}/voids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotency_key' => 'void-order-8842'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/payins/{payinID}/voids"
payload := strings.NewReader("{\n \"idempotency_key\": \"void-order-8842\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/payins/{payinID}/voids")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotency_key\": \"void-order-8842\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/payins/{payinID}/voids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotency_key\": \"void-order-8842\"\n}"
response = http.request(request)
puts response.read_body{
"payin_id": "d0135ed5-8e9c-4f8b-a522-8ec100470426",
"action_id": "8d9e0f1a-2b3c-4d5e-9f0a-1b2c3d4e5f6a",
"kind": "void",
"status": "completed",
"amount": "10000",
"provider_ticket": "661793928526134415",
"verdict": "completed",
"idempotency_key": "void-order-8842",
"created_at": "2026-11-05T13:10:00Z"
}{
"payin_id": "d0135ed5-8e9c-4f8b-a522-8ec100470426",
"action_id": "8d9e0f1a-2b3c-4d5e-9f0a-1b2c3d4e5f6a",
"kind": "void",
"status": "pending",
"amount": "10000",
"verdict": "pending",
"idempotency_key": "void-order-8842",
"created_at": "2026-11-05T13:10:00Z"
}{
"error": "idempotency_key_required",
"message": "idempotency_key is required"
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}{
"error": "forbidden",
"message": "credentials required"
}{
"error": "not_found",
"message": "resource not found"
}{
"error": "hold_released",
"message": "the authorization was voided"
}{
"error": "payin_not_capturable",
"message": "only a pending pre-authorized payin can be captured or voided"
}Void a pre-authorized card payin
Releases the hold WITHOUT moving money. Only pending manual card payins can be voided (preauth_not_supported on other rails, payin_not_capturable otherwise). idempotency_key is mandatory; a replay returns the same action and never dispatches twice. No OTP is required (a void moves no funds).
POST
/
v1
/
payins
/
{payinID}
/
voids
Void a pre-authorized card payin
curl --request POST \
--url https://api.qbank.cl/platform/v1/payins/{payinID}/voids \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "void-order-8842"
}
'import requests
url = "https://api.qbank.cl/platform/v1/payins/{payinID}/voids"
payload = { "idempotency_key": "void-order-8842" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({idempotency_key: 'void-order-8842'})
};
fetch('https://api.qbank.cl/platform/v1/payins/{payinID}/voids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/payins/{payinID}/voids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotency_key' => 'void-order-8842'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/payins/{payinID}/voids"
payload := strings.NewReader("{\n \"idempotency_key\": \"void-order-8842\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/payins/{payinID}/voids")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotency_key\": \"void-order-8842\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/payins/{payinID}/voids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotency_key\": \"void-order-8842\"\n}"
response = http.request(request)
puts response.read_body{
"payin_id": "d0135ed5-8e9c-4f8b-a522-8ec100470426",
"action_id": "8d9e0f1a-2b3c-4d5e-9f0a-1b2c3d4e5f6a",
"kind": "void",
"status": "completed",
"amount": "10000",
"provider_ticket": "661793928526134415",
"verdict": "completed",
"idempotency_key": "void-order-8842",
"created_at": "2026-11-05T13:10:00Z"
}{
"payin_id": "d0135ed5-8e9c-4f8b-a522-8ec100470426",
"action_id": "8d9e0f1a-2b3c-4d5e-9f0a-1b2c3d4e5f6a",
"kind": "void",
"status": "pending",
"amount": "10000",
"verdict": "pending",
"idempotency_key": "void-order-8842",
"created_at": "2026-11-05T13:10:00Z"
}{
"error": "idempotency_key_required",
"message": "idempotency_key is required"
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}{
"error": "forbidden",
"message": "credentials required"
}{
"error": "not_found",
"message": "resource not found"
}{
"error": "hold_released",
"message": "the authorization was voided"
}{
"error": "payin_not_capturable",
"message": "only a pending pre-authorized payin can be captured or voided"
}Authorizations
Response
Hold released (verdict completed).
The response is of type object.